Erreur de compilation "AVAILABLE_MAC_OS_X_VERSION_10_3_AND_LATER"

Nicmae

Membre junior
22 Septembre 2000
71
0
Bonjour à tous,

J'ai récemment fais l'acquisition du libre Cocoa par la pratique. Le problème c'est que je bloque dès le chapitre 2
Non ne rigolez pas...

Si je compile un nouveau projet vide, j'ai des erreurs de compilation sur Project Builder en chaînes avec entre autre beaucoup de: "illegal function definition, found `AVAILABLE_MAC_OS_X_VERSION_10_3_AND_LATER"

Pouvez-vous m'aider? C'est super frustrant car je suis persuadé qu'il doit s'agir d'un problème lors de l'install des devTools.

merci d'avance pour votre aide

nico
 

molgow

Vétéran
Club MacG
4 Janvier 2002
5 493
612
36
Suisse
www.monts-chevreuils.ch
Tu as installé Project Builder sur 10.3 ?!


Si oui, eh bien le problème vient peut-être bien de là. Pour 10.3, il existe XCode, téléchargeable gratuitement sur le site d'Apple.
 

Nicmae

Membre junior
22 Septembre 2000
71
0
Oups... je pensais que les devTools de la 10.2 fonctionneraient sur la 10.3 ben ce n'est pas le cas. effectivement en ressortant le cd d'install des cartons et en installant xcode miracle... ça fonctionne...

Merci de m'avoir mis sur la piste
 

molgow

Vétéran
Club MacG
4 Janvier 2002
5 493
612
36
Suisse
www.monts-chevreuils.ch
Eh non ça ne marche pas.

Et l'inverse est aussi vrai: XCode ne fonctionne pas sur 10.2.